Subject: bug#60223: 29.0.60; Improve how tree-sitter changes to treesit--font-lock-fast-mode

From: ronisbr <[email-masked]>
Date: Tue, 27 Dec 2022 00:16:25 -0300

Hi Yuan!

Em 2022-12-24 06:33, Yuan Fu escreveu:
> Which julia parser are you using? I installed the "official" one at
> here: https://github.com/tree-sitter/tree-sitter-julia
> 
> but some queries in julia-ts-mode.el are not accepted by it, like the
> (true) pattern: the parser I downloaded wants "true" instead.

Yes! I am using that parser. However, this modification happened in a
commit 4 days ago, and I have not updated `julia-ts-mode` yet.

> Also julia-ts-mode has this code
> 
> (set-electric! 'julia-ts-mode
>     :words '("catch"
>              "else"
>              "elseif"
>              "finally"
>              "end"))
> 
> which seems like a doom macro or something, since I don’t have doom
> Emacs complains about undefined function. I commented it out so no
> biggy, just FYI.

Oops, sorry about that! Yes, I am using Doom Emacs and this is
probably a macro for it.

Best regards,
Ronan Arraes